var P >= 0; # Variable: number of pianos on route...
var Q >= 0;
var R >= 0;
var S >= 0;
var T >= 0;
var U >= 0;

minimize Cost: 4*P + 7*Q + 6*R + 8*S + 8*T + 9*U;
          # Objective: total transportation cost

subject to Sup1: P + Q = 2 ;
          # Constraint: all supply used at supply point
subject to Sup2: R + S = 3 ;
subject to Sup3: T + U = 5 ;

subject to Dem1: P + R + T = 4 ;
          # Constraint: all demand satisfied at demand point
subject to Dem2: Q + S + U = 6 ;